Subject: Re: bug#22314: 25.1.50; Document variable `deactivate-mark' in Elisp manual

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jan 2016 08:49:05 +0200

> Date: Fri, 8 Jan 2016 13:29:42 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > I see the same, but I don't understand why that is a problem.  The
> > function and the variable are described one after the other, and 'i'
> > puts you on the first of them with the second clearly visible below.
> > How is that a problem?  And how is it worse than having 2 identical
> > index entries instead, which point each one to a place several lines
> > apart?
> 
> It's wrong because it does not move point to the entry.  Nothing
> indicates to a user that there in fact 3 entries, not 2.

The user's eyes should indicate that.  You are splitting hair.

> I would not have filed this bug report if I thought that this
> was not a problem.  And as you can see from my initial report,
> I in fact mistakenly thought that the variable was not even
> documented, because cycling among the index entries did not
> take me to it.

You should have read a bit more than a single line.

> I don't see why you wouldn't want to add an index entry for this
> variable.  But if you don't feel like it then what can I say?

THERE IS ALREADY AN INDEX ENTRY FOR IT!!!!

How many times do I need to tell you that?  Just look at the sources!

> If the Elisp manual had different indexes, as does the Emacs
> manual, then adding it would also let a user find it in the
> Variables Index.

The function is indexed as a function, the variable is indexed as a
variable.  We have @defvar for the variable, which indexes the
variable, and a @defun for the function, which indexes the function.

> Maybe it's not possible to index both, if there is only one
> Index?  Dunno.  If you can't, you can't.  If you can (maybe two
> entries, with suffixes "(variable)" and "(function)"), that's
> better, IMO.

Bug closed.